<template>
  <avue-form v-model="TreeNewForm" :option="option" @submit="submit">
  </avue-form>

</template>

<script>
export default {
  name: "classifyTreeform.vue",
  props: ["TreeNewForm"],
  data() {
    return {
      form: {
        name: "哈哈",
        sex: "男"
      },
      option: {
        column: [
          {
            label: '主题库/分类编号',
            prop: 'btmtypeid',
            labelWidth:128,
            readonly: true,
            rules: [{
              required: true,
              message: "主题库/分类编号",
              trigger: "blur"
            }]
          },
          {
            label: '主题库/分类名称',
            prop: 'name',
            readonly: true,
            labelWidth:128,
            rules: [{
              required: true,
              message: "主题库/分类名称",
              trigger: "blur"
            }]
          },
          {
            label:"描述",
            prop:"description"
          },
          {
            label: '存储的业务类型',
            prop: 'btmtypename',
            labelWidth:128,
            readonly: true,
            rules: [{
              required: true,
              message: "存储的业务类型",
              trigger: "blur"
            }]
          },
          {
            label:"编码规则",
            prop:"coderuleoidName"
          },
          {
            label:"忽略大小写查重",
            prop:"codekeyattrrepeatoidName",
            labelWidth:128,
          },
          {
            label:"相似查询规则",
            prop:"codeResembleRuleOidName",
            labelWidth:100,
          },
        ]
      },
      FormList: {}
    }
  },
  methods: {
    submit(form, done) {
      this.$message.success(JSON.stringify(form));
      done()
    },
    error(err) {
      this.$message.success('请查看控制台');
      console.log(err)
    }
  }
}
</script>

<style scoped>

</style>
